// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//						(c) 1997 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	ds9tocxc.cc --- convert ds9 region file into CXC region file
//
//	DESCRIPTION:
//		Convert ds9 region file into CXC format
//
//	CHANGE HISTORY:
//		UL, 2001-08-13: 1.0.0: - inital version
//
//	AUTHOR:
//		U. Lammers (UL), Mon Aug 13 15:36:48 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/sas_git_repo/cvs_copy/sasdev/sas/packages/imgdisplay/conv/ds9tocxc.cc,v 1.3 2002/09/18 15:22:52 ulammers Exp $
//

#include "param.h"
#include "ASCregion.h"
#include "Ds9.h"

#include "ds9tocxc.h"

void ds9tocxc()
{
	ImageDisplayer::Region r;
	std::cin>>r;
	OutASCregionTable outtab(stringParameter("outset"),
							 stringParameter("xcolumn"),
							 stringParameter("ycolumn"));
	outtab<<r;
	r.free();
} // ds9tocxc()
